org.apache.cayenne.access.sqlbuilder

## Class StringBuilderAppendable

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.StringBuilderAppendable

- All Implemented Interfaces:
    Appendable, QuotingAppendable
  Direct Known Subclasses:
    DefaultQuotingAppendable

      public class StringBuilderAppendable
      extends Object
      implements QuotingAppendable

  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StringBuilder` | `builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringBuilderAppendable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuotingAppendable` | `append(char c)`
    `QuotingAppendable` | `append(CharSequence csq)`
    `QuotingAppendable` | `append(CharSequence csq, int start, int end)`
    `QuotingAppendable` | `append(int c)`
    `QuotingAppendable` | `appendQuoted(CharSequence csq)`
    `SQLGenerationContext` | `getContext()`
    `String` | `toString()`
    `StringBuilder` | `unwrap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### builder

          protected final StringBuilder builder

  - ### Constructor Detail

    - #### StringBuilderAppendable

          public StringBuilderAppendable()

  - ### Method Detail

    - #### append

          public QuotingAppendable append(CharSequence csq)

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `QuotingAppendable`

    - #### append

          public QuotingAppendable append(CharSequence csq,
                                          int start,
                                          int end)

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `QuotingAppendable`

    - #### append

          public QuotingAppendable append(char c)

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `QuotingAppendable`

    - #### append

          public QuotingAppendable append(int c)

      Specified by:
        `append` in interface `QuotingAppendable`

    - #### appendQuoted

          public QuotingAppendable appendQuoted(CharSequence csq)

      Specified by:
        `appendQuoted` in interface `QuotingAppendable`

    - #### getContext

          public SQLGenerationContext getContext()

      Specified by:
        `getContext` in interface `QuotingAppendable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### unwrap

          public StringBuilder unwrap()

Copyright © 2001–2021 Apache Cayenne. All rights reserved.